Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.system
Interface ServiceMBean

All Superinterfaces:
  Service

All Known Subinterfaces:
  AttributePersistenceServiceMBean, ClasspathExtensionMBean, DeploymentCacheMBean, DeploymentScannerMBean, DeploymentStoreMBean, FileDeploymentStoreMBean, HttpURLDeploymentScannerMBean, JARDeployerMBean, ListenerServiceMBean, MainDeployerMBean, SARDeployerMBean, SubDeployerMBean, URLDeploymentScannerMBean, URLDirectoryScannerMBean, XSLSubDeployerMBean

All Known Implementing Classes:
  AbstractDeploymentScanner, AttributePersistenceService, ClasspathExtension, DeploymentCache, FileDeploymentStore, HttpURLDeploymentScanner, JARDeployer, ListenerServiceMBeanSupport, MainDeployer, SARDeployer, ServiceMBeanSupport, SubDeployerSupport, URLDeploymentScanner, URLDirectoryScanner, XSLSubDeployer

public interface ServiceMBean
extends Service

An interface describing a JBoss service MBean.

Version:
  $Revision: 1.7 $
Author:
  Rickard �berg, Andreas Schaefer, Scott.Stark@jboss.org
See Also:
  `Service`, `ServiceMBeanSupport`

Field Summary
`static String` | `CREATE_EVENT` The JMX notification event type for a service create state
`static int` | `CREATED` The Service.create has completed
`static String` | `DESTROY_EVENT` The JMX notification event type for a service create state
`static int` | `DESTROYED` The Service.destroy has completed
`static int` | `FAILED` There has been an error during some operation
`static int` | `REGISTERED` The MBean has been created and has completed MBeanRegistration.postRegister
`static String` | `START_EVENT` The JMX notification event type for a service create state
`static int` | `STARTED` The Service.start has completed
`static int` | `STARTING` The Service.start has been invoked
`static String[]` | `states`
`static String` | `STOP_EVENT` The JMX notification event type for a service create state
`static int` | `STOPPED` The Service.stop has completed
`static int` | `STOPPING` The Service.stop has been invoked
`static int` | `UNREGISTERED` The MBean has been created but has not completed MBeanRegistration.postRegister

Method Summary
`String` | `getName()`
`int` | `getState()`
`String` | `getStateString()`
`void` | `jbossInternalLifecycle(String method)` Detyped lifecycle invocation

Methods inherited from interface org.jboss.system.Service
`create, destroy, start, stop`

Field Detail

### CREATE_EVENT

    public static final String CREATE_EVENT

  The JMX notification event type for a service create state

  See Also:
    Constant Field Values

### START_EVENT

    public static final String START_EVENT

  The JMX notification event type for a service create state

  See Also:
    Constant Field Values

### STOP_EVENT

    public static final String STOP_EVENT

  The JMX notification event type for a service create state

  See Also:
    Constant Field Values

### DESTROY_EVENT

    public static final String DESTROY_EVENT

  The JMX notification event type for a service create state

  See Also:
    Constant Field Values

### states

    public static final String[] states

### STOPPED

    public static final int STOPPED

  The Service.stop has completed

  See Also:
    Constant Field Values

### STOPPING

    public static final int STOPPING

  The Service.stop has been invoked

  See Also:
    Constant Field Values

### STARTING

    public static final int STARTING

  The Service.start has been invoked

  See Also:
    Constant Field Values

### STARTED

    public static final int STARTED

  The Service.start has completed

  See Also:
    Constant Field Values

### FAILED

    public static final int FAILED

  There has been an error during some operation

  See Also:
    Constant Field Values

### DESTROYED

    public static final int DESTROYED

  The Service.destroy has completed

  See Also:
    Constant Field Values

### CREATED

    public static final int CREATED

  The Service.create has completed

  See Also:
    Constant Field Values

### UNREGISTERED

    public static final int UNREGISTERED

  The MBean has been created but has not completed MBeanRegistration.postRegister

  See Also:
    Constant Field Values

### REGISTERED

    public static final int REGISTERED

  The MBean has been created and has completed MBeanRegistration.postRegister

  See Also:
    Constant Field Values

Method Detail

### getName

    public String getName()

### getState

    public int getState()

### getStateString

    public String getStateString()

### jbossInternalLifecycle

    public void jbossInternalLifecycle(String method)
                                throws Exception

  Detyped lifecycle invocation

  Throws:
    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.